use mus18data.dta,clear
des dmdu med mdu lcoins ndisease female age lfam child id year
xtset id year
xtdes
xtsum age lfam child
xtsum dmdu
xttrans dmdu
corr dmdu l.dmdu l2.dmdu
logit dmdu lcoins ndisease female age lfam child,vce(cluster id) nolog
margins,dydx(*)
xtlogit dmdu lcoins ndisease female age lfam child,pa corr(exch) vce(robust) nolog
matrix list e(R)
xtlogit dmdu lcoins ndisease female age lfam child,re nolog
xtlogit dmdu lcoins ndisease female age lfam child,fe nolog
global xlist lcoins ndisease female age lfam child
quietly logit dmdu $xlist,vce(cluster id)
estimates store POOLED
quietly xtlogit dmdu $xlist,pa corr(exch) vce(robust)
estimates store PA
quietly xtlogit dmdu $xlist,re
estimates store RE
quietly xtlogit dmdu $xlist,fe
estimates store FE
estimates table POOLED PA RE FE,equations(1) se b(%8.4f) stats(N ll) stfmt(%8.0f)
xtsum mdu
gen mdushort=mdu
replace mdushort=4 if mdu>=4
xttrans mdushort
poisson mdu lcoins ndisease female age lfam child,vce(cluster id)
xtpoisson mdu lcoins ndisease female age lfam child,pa corr(unstr) vce(robust)
xtpoisson mdu lcoins ndisease female age lfam child,re vce(boot,reps(400) seed(10101) nodots)
xtpoisson mdu lcoins ndisease female age lfam child,fe vce(boot, reps(400) seed(10101) nodots)
xtpoisson mdu lcoins ndisease female age lfam child,pa corr(unstr) vce(robust)
estimates store PPA_ROB
quietly xtpoisson mdu lcoins ndisease female age lfam child,re
estimates store PRE
quietly xtpoisson mdu lcoins ndisease female age lfam child,re normal
estimates store PRE_NORM
quietly xtpoisson mdu lcoins ndisease female age lfam child,fe
estimates store PFE
estimates table PPA_ROB PRE PRE_NORM PFE,equations(1) b(%8.4f) se stats(N ll) stfmt(%8.0f)
